var express = require('express');
var { join } = require('path');

/**
 * 获取<%= getPascalCase(name) %>库文件
 * @param {express.request} request 请求
 * @param {express.response} response 响应
 */
function get<%= getPascalCase(name) %>JS(request, response) {
  response.sendFile(join(__dirname, '../../dist/<%= getSeparatorCase(microFrontendName) %>/<%= getSeparatorCase(name) %>.js'));
}

module.exports = {
  'GET /<%= getSeparatorCase(name) %>.js': get<%= getPascalCase(name) %>JS
};
